Browser Support

The following web browsers are tested and supported with Grommet.

Microsoft Internet Explorer Version 11, latest version
Microsoft Edge, latest version
Mozilla Firefox, latest version
Google Chrome mobile and desktop, latest versions
Apple Safari mobile and desktop, latest versions

Grommet makes heavy use of the HTML5 Flexible Box Layout Module. For this reason, Grommet requires a modern browser to ensure users have a good experience. You can check the Can I Use website to learn more about this capability and the levels of browser support.

FAQ

Why are older versions of Microsoft Internet Explorer not supported?

On January 12, 2016, Microsoft ended support for versions of Internet Explorer older than version 11. In order to deliver a secure and modern experience for the enterprise, Grommet does not provide support for browsers that are no longer receiving security updates.

Why are specific version numbers not listed?

Modern browsers release on a very frequent cadence, generally every few weeks. They also automatically update which means the user is no longer responsible or even aware in many cases that the browser has been updated. As a result, the specific version numbers of browsers is less meaninful and more difficult to track.

What about older mobile devices?

Unfortunately, iOS < 9.3 and Android < 4.4 do not provide enough flexbox support for Grommet.